Skip to main content
GET
/
users
/
{user_guid}
/
managed_members
/
{member_guid}
/
accounts
/
{account_guid}
/
transactions
List managed transactions
curl --request GET \
  --url https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions"

headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactions": [
    {
      "account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
      "account_id": "account123",
      "amount": 61.11,
      "category": "Paycheck",
      "category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
      "check_number_string": null,
      "created_at": "2025-02-13T18:08:00+00:00",
      "currency_code": "USD",
      "date": "2024-12-20",
      "description": "MX Technologies Payroll",
      "extended_transaction_type": null,
      "guid": "TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1",
      "id": "1734681600000-178fa8095c154a55b9172f977b4c5f9a-0",
      "is_bill_pay": false,
      "is_direct_deposit": false,
      "is_expense": false,
      "is_fee": false,
      "is_income": true,
      "is_international": false,
      "is_manual": false,
      "is_overdraft_fee": false,
      "is_payroll_advance": false,
      "is_recurring": null,
      "is_subscription": false,
      "latitude": null,
      "localized_description": "This is a localized_description",
      "localized_memo": "This is a localized_memo",
      "longitude": null,
      "member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
      "member_is_managed_by_user": true,
      "memo": "Transactions",
      "merchant_category_code": null,
      "merchant_guid": "MCH-8cc3b01a-1c52-47d4-970d-30f8ee5566f1",
      "merchant_location_guid": null,
      "metadata": "some metadata",
      "original_description": "MX TECHNOLOGIES PAYMENT",
      "posted_at": "2024-12-20T12:00:00Z",
      "status": "POSTED",
      "top_level_category": "Income",
      "transacted_at": "2024-12-20T12:00:00Z",
      "type": "CREDIT",
      "updated_at": "2025-02-13T18:09:00+00:00",
      "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
      "user_id": "u-1234"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total_entries": 1,
    "total_pages": 1
  }
}
This endpoint returns a list of all the partner-managed transactions associated with the specified account, scoped through a user and a member.
This endpoint has been deprecated. For more information, reference the Migration guide.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

account_guid
string
required

The unique id for an account.

member_guid
string
required

The unique id for a member.

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

Query Parameters

page
integer

Results are paginated. Specify current page.

from_date
string

Filter transactions from this date. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 120 days ago if not provided.

to_date
string

Filter transactions to this date (at midnight). This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 5 days forward from the day the request is made to capture pending transactions.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Response

200 - application/json

OK

transactions
object[]
pagination
object